## org.apache.tools.bzip2
Class CBZip2OutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.tools.bzip2.CBZip2OutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, BZip2Constants

    public class CBZip2OutputStream

extends java.io.OutputStream
implements BZip2Constants

An output stream that compresses into the BZip2 format (without the file header chars) into another stream. TODO: Update to BZip2 1.0.1

Field Summary
`protected static int` `CLEARMASK`
`protected static int` `DEPTH_THRESH`
`protected static int` `GREATER_ICOST`
`protected static int` `LESSER_ICOST`
`protected static int` `QSORT_STACK_SIZE`
`protected static int` `SETMASK`
`protected static int` `SMALL_THRESH`

Fields inherited from interface org.apache.tools.bzip2.BZip2Constants
`baseBlockSize, G_SIZE, MAX_ALPHA_SIZE, MAX_CODE_LEN, MAX_SELECTORS, N_GROUPS, N_ITERS, NUM_OVERSHOOT_BYTES, rNums, RUNA, RUNB`

Constructor Summary
`CBZip2OutputStream(java.io.OutputStream inStream)`
`CBZip2OutputStream(java.io.OutputStream inStream, int inBlockSize)`

Method Summary
`void` `close()`
`protected void` `finalize()`
`void` `flush()`
`protected static void` `hbMakeCodeLengths(char[] len, int[] freq, int alphaSize, int maxLen)`
`void` `write(int bv)` modified by Oliver Merkel, 010128

Methods inherited from class java.io.OutputStream
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SETMASK

    protected static final int SETMASK

See Also:
  Constant Field Values

### CLEARMASK

    protected static final int CLEARMASK

See Also:
  Constant Field Values

### GREATER_ICOST

    protected static final int GREATER_ICOST

See Also:
  Constant Field Values

### LESSER_ICOST

    protected static final int LESSER_ICOST

See Also:
  Constant Field Values

### SMALL_THRESH

    protected static final int SMALL_THRESH

See Also:
  Constant Field Values

### DEPTH_THRESH

    protected static final int DEPTH_THRESH

See Also:
  Constant Field Values

### QSORT_STACK_SIZE

    protected static final int QSORT_STACK_SIZE

See Also:
  Constant Field Values

Constructor Detail

### CBZip2OutputStream

    public CBZip2OutputStream(java.io.OutputStream inStream)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### CBZip2OutputStream

    public CBZip2OutputStream(java.io.OutputStream inStream,
                              int inBlockSize)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### hbMakeCodeLengths

    protected static void hbMakeCodeLengths(char[] len,
                                            int[] freq,
                                            int alphaSize,
                                            int maxLen)

### write

    public void write(int bv)
               throws java.io.IOException

  modified by Oliver Merkel, 010128

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`